From 17b369102445fc0dc9f6fe3ecedb8dead3849a04 Mon Sep 17 00:00:00 2001
From: Tails developers <tails@boum.org>
Date: Mon, 2 Jun 2014 00:45:48 +0200
Subject: [PATCH 7/9] Use proper event time when closing a window in response
 to button click

---
 src/task-title.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/task-title.c b/src/task-title.c
index 1a5ca15..7f43ff5 100644
--- a/src/task-title.c
+++ b/src/task-title.c
@@ -78,7 +78,7 @@ static gboolean on_close_clicked (GtkButton *button,
     } else {
         if (priv->window == window)
             disconnect_window (title);
-        wnck_window_close (window, GDK_CURRENT_TIME);
+        wnck_window_close (window, event->time);
     }
     gtk_widget_queue_draw (GTK_WIDGET (title));
     return TRUE;
-- 
2.0.0.rc4

